[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#397118: marked as done (gv can't open files whose name begins with "-")

Your message dated Sun, 15 Jul 2007 21:17:03 +0000
with message-id <E1IABSh-0008Jp-JT@ries.debian.org>
and subject line Bug#397118: fixed in gv 1:3.6.3dfsg-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: gv
Version: 1:3.6.2-1
Severity: normal

Create a postscript file called "-0.01.ps",
run gv, then use File->Open, and select -0.01.ps.
You'll get an error box saying "Unknown switch -0.01.ps - ignoring."

Clearly, someone forgot to quote the file name when handing it to

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages gv depends on:
ii  gs                         8.54.dfsg.1-5 Transitional package
ii  gs-gpl [gs]                8.54.dfsg.1-5 The GPL Ghostscript PostScript int
ii  libc6                      2.3.6.ds1-4   GNU C Library: Shared libraries
ii  libice6                    1:1.0.1-2     X11 Inter-Client Exchange library
ii  libsm6                     1:1.0.1-3     X11 Session Management library
ii  libx11-6                   2:1.0.3-2     X11 client-side library
ii  libxext6                   1:1.0.1-2     X11 miscellaneous extension librar
ii  libxmu6                    1:1.0.2-2     X11 miscellaneous utility library
ii  libxpm4                    1:3.5.5-2     X11 pixmap library
ii  libxt6                     1:1.0.2-2     X11 toolkit intrinsics library
ii  xaw3dg                     1.5+E-14      Xaw3d widget set

gv recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: gv
Source-Version: 1:3.6.3dfsg-1

We believe that the bug you reported is fixed in the latest version of
gv, which is due to be installed in the Debian FTP archive:

  to pool/main/g/gv/gv_3.6.3dfsg-1.diff.gz
  to pool/main/g/gv/gv_3.6.3dfsg-1.dsc
  to pool/main/g/gv/gv_3.6.3dfsg-1_sparc.deb
  to pool/main/g/gv/gv_3.6.3dfsg.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Bernhard R. Link <brlink@debian.org> (supplier of updated gv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 15 Jul 2007 21:38:19 +0200
Source: gv
Binary: gv
Architecture: source sparc
Version: 1:3.6.3dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Bernhard R. Link <brlink@debian.org>
Changed-By: Bernhard R. Link <brlink@debian.org>
 gv         - PostScript and PDF viewer for X
Closes: 397118 407666
 gv (1:3.6.3dfsg-1) unstable; urgency=low
   * new maintainer (Closes: 407666)
   * no longer uses quilt at build time (nor the seperated patches)
   * general clean up (complete debian/copyright, clean up debian/rules, ...)
   * add Vcs-{Browse,CVS} headers
   * new upstream version
   - handle filenames starting with "-" (Closes: 397118)
   - includes fix for CVE-2006-5864 (so droping patches/398292-CVE-2006-5864)
   - fixes X resource handling (so droping patches/393454_config)
   * repack source to remove files with problematic licenses
 98e6556eeabe0b6393f0d37442fcbdfe 700 text optional gv_3.6.3dfsg-1.dsc
 8767b63a05f5dc5fa022b5cfa3f55120 496105 text optional gv_3.6.3dfsg.orig.tar.gz
 0536a8fe81f99a22e151fa794fe518e1 17185 text optional gv_3.6.3dfsg-1.diff.gz
 08a0baead44ce04b44cf2d90b1b4a188 175704 text optional gv_3.6.3dfsg-1_sparc.deb

Version: GnuPG v1.4.1 (GNU/Linux)


--- End Message ---

Reply to: